%define realname sqlite

%define	major 0
%define libname	%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Summary:	SQLite is a C library that implements an embeddable SQL database engine
Name:		sqlite3
Version:	3.4.2
Release:	%mkrel 1
License:	Public Domain
Group:		System/Libraries
URL:		http://www.sqlite.org/
Source0:	http://www.sqlite.org/%{realname}-%{version}.tar.bz2
Patch0:     sqlite3-disable-tcl-build-doc.patch
BuildRequires:	chrpath
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	tcl-devel tcl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

%package -n	%{libname}
Summary:	SQLite is a C library that implements an embeddable SQL database engine
Group:          System/Libraries

%description -n	%{libname}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the shared libraries for %{name}

%package -n	%develname
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Obsoletes: %mklibname %{name}_ %{major} -d

%description -n	%develname
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library and its header
files.

%package -n	%staticdevelname
Summary:	Static development library for the %{name} library
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes: %mklibname %{name}_ %{major} -d -s

%description -n	%staticdevelname
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library.

%package	tools
Summary:	Command line tools for managing the %{libname} library
Group:		Databases
Requires:	%{libname} = %{version}-%{release}

%description	tools
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains command line tools for managing the
%{libname} library.

%package -n	tcl-%{name}
Summary:	Tcl binding for %{name}
Group:		Databases
Provides:	%{name}-tcl

%description -n	tcl-%{name}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains tcl binding for %{name}.

%prep

%setup -q -n %{realname}-%{version}
%patch -p0 -b .tcl-b-doc

%build
#%define __libtoolize true

%serverbuild

export CFLAGS="${CFLAGS:-%optflags} -DNDEBUG=1"
export CXXFLAGS="${CXXFLAGS:-%optflags} -DNDEBUG=1"
export FFLAGS="${FFLAGS:-%optflags} -DNDEBUG=1"

%configure2_5x \
    --enable-utf8 \
    --enable-threadsafe \
    --enable-threads-override-locks

%make

make doc

%check
#make test

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std

install -m644 sqlite3.1 %{buildroot}%{_mandir}/man1/%name.1

chrpath -d %{buildroot}%{_bindir}/*

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n %develname
%defattr(-,root,root)
%doc doc/*.html doc/*.gif doc/*.pdf
%attr(0644,root,root) %{_includedir}/*.h
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc

%files -n %staticdevelname
%defattr(-,root,root)
%{_libdir}/lib*.a

%files tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n tcl-%{name}
%defattr(-,root,root)
%{_prefix}/lib/tcl*/sqlite3


%changelog
* Wed Aug 15 2007 Funda Wang <fundawang@mandriva.org> 3.4.2-1mdv2008.0
+ Revision: 63742
- New version 3.4.2

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 3.4.1-1mdv2008.0
+ Revision: 54652
- new version

  + Michael Scherer <misc@mandriva.org>
    - fix rpmlint warning about .h belonging to non standard uid mandrake

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 3.4.0-1mdv2008.0
+ Revision: 43988
- New upstream version

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 3.3.17-5mdv2008.0
+ Revision: 43951
- fix pkgconfig file permission

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 3.3.17-4mdv2008.0
+ Revision: 43937
- Rebuild to fix pkgconfig

* Fri Jun 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.3.17-3mdv2008.0
+ Revision: 43092
- new devel library policy

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 3.3.17-2mdv2008.0
+ Revision: 19100
- patch0 to violently disable doc build from tcl due to nasty bug in latest tclshell

  + Oden Eriksson <oeriksson@mandriva.com>
    - 3.3.17 (fixes #30462)


* Sat Dec 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.8-1mdv2007.0
+ Revision: 98199
- new version

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 3.3.6-2mdv2007.0
+ Revision: 54874
- rebuild
- Import sqlite3

* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.6-1mdv2007.0
- 3.3.6
- move tests to %%check stage, also disable it

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 3.3.5-2mdk
- fix buildrequires

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.5-1mdk
- New release 3.3.5

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Aug 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.2-2mdk
- aliasing fixes
- tcl scripts are always in /usr/lib/tcl*

* Wed Jul 20 2005 Olivier Thauvin <nanardon@mandriva.org> 3.2.2-1mdk
- 3.2.2

* Tue Feb 08 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0.8-1mdk
- make a rpm for sqlite3, do not update sqlite because file format has changed

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.15-5mdk
- patch2: fix test suite for differences in double precision float implementation

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.15-4mdk
- rebuild for new readline

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.15-3mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.15-2mdk
- lib64 fixes

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.15-1mdk
- New release 2.8.15

* Tue Oct 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.14-3mdk
- rebuild (due to missing devel package)

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.14-2mdk
- backport some 64-bit related fixes for the testsuite
- add libsqlite-static-devel, sqlite-static-devel provides

* Sat Jun 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.14-1mdk
- 2.8.14 
- fix P0
- run the tests

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.8.13-3mdk
- rebuilt with gcc v3.4.x

* Sun May 16 2004 Luca Berra <bluca@vodka.it> 2.8.13-2mdk 
- lib64 install fixes

* Mon May 03 2004 Luca Berra <bluca@vodka.it> 2.8.13-1mdk 
- 2.8.13
- dropped p0 (merged upstream)

